# Method: billingAccounts.orders.licensePool.enumerateLicensedUsers

- [HTTP request](https://docs.cloud.google.com/marketplace/docs/reference/consumerprocurement/rest/v1/billingAccounts.orders.licensePool/enumerateLicensedUsers#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/marketplace/docs/reference/consumerprocurement/rest/v1/billingAccounts.orders.licensePool/enumerateLicensedUsers#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/marketplace/docs/reference/consumerprocurement/rest/v1/billingAccounts.orders.licensePool/enumerateLicensedUsers#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/marketplace/docs/reference/consumerprocurement/rest/v1/billingAccounts.orders.licensePool/enumerateLicensedUsers#body.request_body)
- [Response body](https://docs.cloud.google.com/marketplace/docs/reference/consumerprocurement/rest/v1/billingAccounts.orders.licensePool/enumerateLicensedUsers#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/marketplace/docs/reference/consumerprocurement/rest/v1/billingAccounts.orders.licensePool/enumerateLicensedUsers#body.EnumerateLicensedUsersResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/marketplace/docs/reference/consumerprocurement/rest/v1/billingAccounts.orders.licensePool/enumerateLicensedUsers#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/marketplace/docs/reference/consumerprocurement/rest/v1/billingAccounts.orders.licensePool/enumerateLicensedUsers#body.aspect_1)
- [LicensedUser](https://docs.cloud.google.com/marketplace/docs/reference/consumerprocurement/rest/v1/billingAccounts.orders.licensePool/enumerateLicensedUsers#LicensedUser)
  - [JSON representation](https://docs.cloud.google.com/marketplace/docs/reference/consumerprocurement/rest/v1/billingAccounts.orders.licensePool/enumerateLicensedUsers#LicensedUser.SCHEMA_REPRESENTATION)
- [Try it!](https://docs.cloud.google.com/marketplace/docs/reference/consumerprocurement/rest/v1/billingAccounts.orders.licensePool/enumerateLicensedUsers#try-it)

Enumerates all users assigned a license.

### HTTP request

`GET https://cloudcommerceconsumerprocurement.googleapis.com/v1/{parent=billingAccounts/*/orders/*/licensePool}:enumerateLicensedUsers`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. License pool name. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of users to return. The service may return fewer than this value. |
| `pageToken` | `string` Optional. A page token, received from a previous `licensePool.enumerateLicensedUsers` call. Provide this to retrieve the subsequent page. |

### Request body

The request body must be empty.

### Response body

Response message for `https://docs.cloud.google.com/marketplace/docs/reference/consumerprocurement/rest/v1/billingAccounts.orders.licensePool/enumerateLicensedUsers#google.cloud.commerce.consumer.procurement.v1.LicenseManagementService.EnumerateLicensedUsers`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "licensedUsers": [ { object (`https://docs.cloud.google.com/marketplace/docs/reference/consumerprocurement/rest/v1/billingAccounts.orders.licensePool/enumerateLicensedUsers#LicensedUser`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `licensedUsers[]` | ``object (`https://docs.cloud.google.com/marketplace/docs/reference/consumerprocurement/rest/v1/billingAccounts.orders.licensePool/enumerateLicensedUsers#LicensedUser`)`` The list of licensed users. |
| `nextPageToken` | `string` A token that can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `consumerprocurement.licensePools.enumerateLicensedUsers`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## LicensedUser

A licensed user.

| JSON representation |
|---|
| ``` { "username": string, "assignTime": string, "recentUsageTime": string } ``` |

| Fields ||
|---|---|
| `username` | `string` Username. Format: `name@domain.com`. |
| `assignTime` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Output only. Timestamp when the license was assigned. A timestamp in RFC3339 UTC "Zulu" format, with nanosecond resolution and up to nine fractional digits. Examples: `"2014-10-02T15:01:23Z"` and `"2014-10-02T15:01:23.045123456Z"`. |
| `recentUsageTime` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#timestamp` format)`` Output only. Timestamp when the license was recently used. This may not be the most recent usage time, and will be updated regularly (within 24 hours). A timestamp in RFC3339 UTC "Zulu" format, with nanosecond resolution and up to nine fractional digits. Examples: `"2014-10-02T15:01:23Z"` and `"2014-10-02T15:01:23.045123456Z"`. |